<mat-form-field class="col-12">
  <input matInput placeholder="Amount" [formControl]="formControl" type="number" value="100" (change)="onChange()" required>
  <mat-error *ngIf="formControl.hasError('required')">
    Amount is <strong>required</strong>
  </mat-error>
</mat-form-field>